Subject: Re: [PATCH v3] ls-files: introduce "--format" option

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Jun 2022 08:28:05 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> We also say that we will "show the full path names" in that
> documentation.

The primary issue is not the presence of "name" there, but the lack
of "path" in the word chosen.

Many things can have "name" (including "object name"), and "path",
not "name", in "path name" is what clarifies what kind of name it
is.  Given that --format placeholders include "objectname", it does
not make a good design to use "name" alone without saying what kind
of "name" it is.

Calling it "pathname", not just "path", is perfectly OK.  But if
there is no other things the word "path" could refer to in this
context, which I think is the case here, "path" would be acceptable.